<?php

namespace Modules\HR\Enums;

enum CalculationBasisEnum: string
{
    case Basic = 'basic';
    case Gross = 'gross';
    case Net = 'net';

    public const BASIC = self::Basic->value;
    public const GROSS = self::Gross->value;
    public const NET = self::Net->value;
    public static function casesAsArray(): array
    {
        return array_map(fn(self $case) => $case->value, self::cases());
    }
}
